Software lässt sich nicht installieren

Dieses Thema im Forum "Mac OS X" wurde erstellt von Faice, 29.07.2004.

  1. Faice

    Faice Thread Starter MacUser Mitglied

    Beiträge:
    142
    Zustimmungen:
    1
    MacUser seit:
    29.06.2004
    Hallo,

    ich habe ein Problem bei der Installation von Software. Ich habe es handelt sich dabei um den GCC 3.5. Wenn ih diesen instllieren will, dann gibt mir das Installationsprogramm folgende Fehlermeldung aus:

    Code:
    Sie können diese Software nicht auf diesem Volume installieren. Für den Index 17 konnte
    keine Seite gefunden werden.
    
    Was will mir das OS damit sagen?

    Die Volumes sind auch alle mit einem roten Ausrufungszeichen versehen. Zu erwähnen wäre noch, dass es sich bei diesem Paket um ein Peket aus den XCode Tools 2.0 gehört, die bei der Beta von Mac OS X 10.4 dabei sind.

    MfG

    Faice
     
  2. Mitraix

    Mitraix Gast

    Willst du auf Tiger oder auf Panther installieren? Das Ausrufezeichen gibt normalerweise an auf welchem Volume eine Installation nicht möglich ist...
     
  3. Faice

    Faice Thread Starter MacUser Mitglied

    Beiträge:
    142
    Zustimmungen:
    1
    MacUser seit:
    29.06.2004
    Ich würde das gerne auf Panther installieren. Weil ich mit dem GCC 3.5 mal etwas herumspielen will. Der soll nämlich gut optimierten code für Altivec erzeugen...
     
  4. Mitraix

    Mitraix Gast

    Dann würd ich damit auf der Tiger-Beta rumspielen, da wirds wohl gehen...
     
  5. Faice

    Faice Thread Starter MacUser Mitglied

    Beiträge:
    142
    Zustimmungen:
    1
    MacUser seit:
    29.06.2004
    Ja, davon gehe ich mal aus, dass es da geht. Aber ...

    1. Will ich nicht Tiger installieren, nur um mit dem Compiler rum zu spielen
    2. Kann ich die Software, die ich unter tiger mit dem GCC 3.5 compiliert habe unter Panther nicht nutzen.

    Ich ziele nämlich darauf ab SETI@Home mit dem GCC 3.5 zu kompilieren. Um dadurch einen Geschwindigkeitsschub zu bekommen.
     
  6. Maveric

    Maveric MacUser Mitglied

    Beiträge:
    462
    Zustimmungen:
    0
    MacUser seit:
    22.03.2004
    Da du als ADC Mitglied der höhren Stufen eine Tiger Preview bekommen hast, würde ich eher bei Apple nachfragen ob es möglich ist den gcc 3.5 auch unter Panther zu installieren. Schließlich wird Apple daran interessiert sein, dass seine Entwickler schon möglichst früh die aktuellen Versionen des gcc nutzen können und wenn möglich schon unter Panther für Tiger kompilieren können.

    Alternativ kannst du Tiger ja auch auf einer externen Festplatte installieren und dann dort rumspielen. Dass seti dann nur unter Tiger läuft, mußt du dann wohl in Kauf nehmen.

    Oder du könntest dir die Sourcen von gcc 3.5 ziehen, ihn selber kompilieren und dann damit rumspielen. Es gibt ihn völlig legal hier http://gcc.gnu.org/ du wirst ihn aber aus dem cvs auschecken müssen.
     
  7. Faice

    Faice Thread Starter MacUser Mitglied

    Beiträge:
    142
    Zustimmungen:
    1
    MacUser seit:
    29.06.2004
    Das mit dem gcc-3.5 selber kompilieren, dass habe ich auch schon versucht. Nur irgendwie klappt das nicht so richtig. Es gibt immer irgendeinen Fehler. Ich weiß ja nicht, ob man irgendwelche besonderen Bibliotheken braucht, um gcc-3.5 zu installieren.

    Das mit dem ADC fragen fällt wohl ein bisschen flach, da ich nicht wirklich ein ADC mitglied bin. Ich hab das XCode von nem Kumpel bekommen. Der hat auch das 10.4 Tiger. Der wollte es mal austesten.
     
Die Seite wird geladen...

Diese Seite empfehlen